Safe Haskell | Safe-Inferred
Language | Haskell2010

PromotedTypes

# Documentation

data RevList a #

Constructors

RNil |
(RevList a) :> a |

data Pattern (a :: [Type]) where #

Constructors

Nil :: Pattern ('[] :: [Type]) |
Cons :: forall h (t :: [Type]). Maybe h -> Pattern t -> Pattern (h ': t) |

data RevPattern (a :: RevList Type) where #

Constructors

RevNil :: RevPattern ('RNil :: RevList Type) |
RevCons :: forall h (t :: RevList Type). Maybe h -> RevPattern t -> RevPattern (t ':> h) |

data Tuple (a :: (Type, Type)) where #

Constructors

Tuple :: forall a1 b. a1 -> b -> Tuple '(a1, b) |